﻿using System;
using System.IO;
using System.Linq;
using System.Reflection;

namespace ConsoleApplication1
{
    class Program
    {
        static void Main(string[] args)
        {
            ReportServerClient reportServerClient = new ReportServerClient(@"http://arabadzhiev:83/api/reportserver/");
            reportServerClient.Login("arabadzhiev", "arabadzhiev");

            var category = reportServerClient.GetCategories().First();

            var reportName = "Concentric_NumericalScale_test.trdx";
            var fileName = Path.Combine(Path.GetDirectoryName(Assembly.GetExecutingAssembly().Location), reportName);
            CreateReportInfoData reportData = new CreateReportInfoData();
            reportData.CategoryId = category.Id;
            reportData.Name = Path.GetFileNameWithoutExtension(fileName);
            reportData.Description = "Report uploaded through the API";
            reportData.Extension = Path.GetExtension(fileName);
            reportData.Content = System.IO.File.ReadAllBytes(fileName);

            var resultId = reportServerClient.CreateReport(reportData);
            Console.WriteLine("Report {0} with ID {1} uploaded to category {2}.\r\nPress any key to exit.", reportName, resultId, category.Name);
            Console.ReadKey();
        }
    }
}
